var configTabPanel = new Ext.TabPanel({
  width             : $width,
  height            : $height,
  deferredRender    : true,
  frame             : $frame,
  layoutOnTabChange : false,
  autoScroll        : $autoScroll
});

var items = $items;

//var isSubTabRendered = false;

configTabPanel.on('beforerender', function() {
  for (itemIndex in items) {
    if (itemIndex < items.length) {
      var item = items[itemIndex];
      item.layout = 'fit';
      configTabPanel.add(item);
    }
  }
  configTabPanel.getItem("pstnEditorTabId").add(editorMainPanel);

  configTabPanel.setActiveTab($activeTab);

});

configTabPanel.on('render', function() {
  //if (!isSubTabRendered) {
    Ext.Ajax.request({
      url: "/configFileExist",
      disableCaching: true,
      success: function (result, request)
      {
        var response = Ext.util.JSON.decode(result.responseText);
        if (!response.configFileExist) {
          configTabPanel.getComponent("pstnEditorTabId").setDisabled(true);
        }
      }
    });
//  isSubTabRendered = true;
//}
});


