%define WANPIPE_VER	  wanpipe-modules
%define name              %{WANPIPE_VER}
%define version           3.5.0.31
%define release           0
%define	serial	 	  1
%define MODULES_DIR	  /lib/modules
%define USR_INCLUDE_DIR   /usr/include

%define KVERSION          %{?kern_ver}
 

Summary: 	Sangoma WANPIPE package for Linux. It contains the WANPIPE kernel drivers.  Please install wanpipe-util package for wanpipe utilties and configuration files.
Name: 		%{name}-%{?kern_ver}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Applications/Communications
Vendor:		Sangoma Technologies Inc.
Url:		www.sangoma.com
Group:		Networking/WAN
 

%description 
Linux Drivers for Sangoma AFT Series of cards and S Series of Cards. Wanpipe supports the following protocols, TDM Voice, Frame Relay, X25(API), PPP,Multi-link PPP, CHDLC and custom API development for WAN and Voice.

Install Wanpipe-util package for wanpipe utilities and configuration files.


%prep

%build

%install

%clean

%postun

echo "Uninstalling WANPIPE..."

%post

#check dependancies for the new modules
depmod -ae -F /boot/System.map-%{KVERSION} %{KVERSION}
echo "Wanpipe Modules located in %{MODULES_DIR}/%{KVERSION}"   

%files
%{MODULES_DIR}
%{USR_INCLUDE_DIR}


%changelog


* Thu Aug 28 2008 Nenad Corbic <ncorbic@sangoma.com> - Beta - 3.5.0.24
======================================================================

- Unified API 
  Major changes to Wanpipe API
- Updated wancfg_zaptel utility
- Updated for 2.6.26 kernel

* Thu Aug 28 2008 Nenad Corbic <ncorbic@sangoma.com> - Beta - 3.5.0.7
======================================================================

- Updated for 2.6.26 kernel

* Thu Aug 28 2008 Nenad Corbic <ncorbic@sangoma.com> - Beta - 3.5.0.6
======================================================================

- Updated for 2.6.26 kernel
- Synced up to 3.3.12 releaes.


* Wed Jul 7 2008 Nenad Corbic <ncorbic@sangoma.com> - Beta - 3.5.0.5
======================================================================

- New Beta Pre Release
- Support for A100 USB FXO

- - END - 
