from netborderPyInfra import *

# Old paraxip logging signature
def internalLog(in_Logger, in_LogLevel, in_Msg, in_Arg) :
  try :
    in_Logger.forcedLog(in_LogLevel, in_Msg % in_Arg, "?file?", 0)
  except:
    pass

def log_fatal(in_Logger, in_Msg, *in_Arg) :
  if in_Logger.isEnabledFor(LogLevel.fatal) :
    internalLog(in_Logger, LogLevel.fatal, in_Msg, in_Arg)
def log_error(in_Logger, in_Msg, *in_Arg) :
  if in_Logger.isEnabledFor(LogLevel.error) :
    internalLog(in_Logger, LogLevel.error, in_Msg, in_Arg)
def log_warn(in_Logger, in_Msg, *in_Arg) :
  if in_Logger.isEnabledFor(LogLevel.warn) :
    internalLog(in_Logger, LogLevel.warn, in_Msg, in_Arg)
def log_info(in_Logger, in_Msg, *in_Arg) :
  if in_Logger.isEnabledFor(LogLevel.info) :
    internalLog(in_Logger, LogLevel.info, in_Msg, in_Arg)    
def log_debug(in_Logger, in_Msg, *in_Arg) :
  if in_Logger.isEnabledFor(LogLevel.debug) :
    internalLog(in_Logger, LogLevel.debug, in_Msg, in_Arg)
def log_trace(in_Logger, in_Msg, *in_Arg) :
  if in_Logger.isEnabledFor(LogLevel.trace) :
    internalLog(in_Logger, LogLevel.trace, in_Msg, in_Arg)

def log(in_Logger, in_LogLevel, in_Msg, *in_Arg) :
  if in_Logger.isEnabledFor(in_LogLevel) :
    internalLog(in_Logger, in_LogLevel, in_Msg, in_Arg)



