//-----------------------------------------------
// Wizard analog form
//-----------------------------------------------
var analog_form = new Ext.Panel({
  title     : "PSTN Analog Configuration",
  layout    : 'form',
  frame     : true,
  header    : false,
  id        : "analog_form",
  items     : [{}],
  //  bodyStyle : 'padding-top:75px;text-align:left;'
  bodyStyle       : 'text-align:left;padding-top:20px;padding-bottom:20px;padding-left:15px;'  
  
});

var AnaDescriptionLabel = new Ext.form.Label({
  id:  "AnaDescriptionLabel",
  text: "Select the PSTN analog configuration",  
  style: 'font-size:120%;font-weight:bold; line-height:60px;'   
});


//select country
var country = new Ext.form.ComboBox({
  id: 'country',
  fieldLabel:  "Country",
  store: [['Canada','Canada'],['FCC','FCC'],['USA','USA'],['TBR21','TBR21']],
  forceSelection: true,
  triggerAction: 'all',
  mode: 'local',
  typeAhead: true,
  value: 'Canada',
  width: 100,
  listWidth : 100,
  selectOnFocus:true,
  readOnly: true,
	anchor	: '40%'
});

analog_form.add(AnaDescriptionLabel);
analog_form.add(country);
